Having a problem with security/libassuan-1 when compiling gnupg.

Kevin Oberman oberman at es.net
Thu Jun 17 17:35:50 UTC 2010


> Date: Thu, 17 Jun 2010 12:03:48 -0500
> From: eculp <eculp at encontacto.net>
> Sender: owner-freebsd-current at freebsd.org
> 
> Having a problem with security/libassuan-1 when compiling gnupg.  I  
> did the upgrade to libassuan-2.0.0 following the instructions in  
> UPDATING and this is the first problem that I have seen.
> 
> ===>   gnupg-2.0.14_3 depends on package: libassuan-1>=1.0.5 - not found
> ===>    Verifying install for libassuan-1>=1.0.5 in  
> /usr/ports/security/libassua
> n-1
> 
> ===>  libassuan-1-1.0.5 conflicts with installed package(s):
>        libassuan-2.0.0
> 
>        They install files into the same place.
>        Please remove them first with pkg_delete(1).
> *** Error code 1
> 
> Stop in /usr/ports/security/libassuan-1.
> *** Error code 1
> 
> Stop in /usr/ports/security/gnupg.
> 
> ===>>> make failed for security/gnupg
> ===>>> Aborting update
> 
> Any suggestions will be appreciated.

Sorry. Just re-read the message.

Since you already have libassuan-2.0.0 installed, you will probably need
to:
pkg_delete -f libassuan-2.0.0
portinstall libassuan-1 
or
portmaster security/libassuan-1
-- 
R. Kevin Oberman, Network Engineer
Energy Sciences Network (ESnet)
Ernest O. Lawrence Berkeley National Laboratory (Berkeley Lab)
E-mail: oberman at es.net			Phone: +1 510 486-8634
Key fingerprint:059B 2DDF 031C 9BA3 14A4  EADA 927D EBB3 987B 3751


More information about the freebsd-current mailing list